Package com.usatiuk.objects.transaction

# Class CurrentTransaction

java.lang.Object
com.usatiuk.objects.transaction.CurrentTransaction

All Implemented Interfaces:
  `Transaction`, `TransactionHandle`

@Singleton public class CurrentTransaction extends Object implements Transaction

## Constructor Summary

Constructors
Constructor
Description
`CurrentTransaction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(JObjectKey key)`
`<T extends JData>
Optional<T>`
`get(Class<T> type, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
`getIterator(IteratorStart start, JObjectKey key)`
`void`
`onCommit(Runnable runnable)`
`void`
`onFlush(Runnable runnable)`
`<T extends JData>
void`
`put(JData obj)`
`<T extends JData>
void`
`putNew(JData obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.transaction.Transaction

`getIterator`

## Constructor Details

### CurrentTransaction

public CurrentTransaction()

## Method Details

### onCommit

public void onCommit(Runnable runnable)

Specified by:
  `onCommit` in interface `Transaction`

### onFlush

public void onFlush(Runnable runnable)

Specified by:
  `onFlush` in interface `TransactionHandle`

### get

public <T extends JData> Optional<T> get(Class<T> type, JObjectKey key)

Specified by:
  `get` in interface `Transaction`

### delete

public void delete(JObjectKey key)

Specified by:
  `delete` in interface `Transaction`

### getIterator

public CloseableKvIterator<JObjectKey,JData> getIterator(IteratorStart start, JObjectKey key)

Specified by:
  `getIterator` in interface `Transaction`

### put

public <T extends JData> void put(JData obj)

Specified by:
  `put` in interface `Transaction`

### putNew

public <T extends JData> void putNew(JData obj)

Specified by:
  `putNew` in interface `Transaction`